Bug 3412 - Claws-mail crashes when choosing fancy view only on certain emails
Summary: Claws-mail crashes when choosing fancy view only on certain emails
Status: RESOLVED INVALID
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Plugins/Fancy (show other bugs)
Version: 3.11.1
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-03-30 15:09 CEST by Hernan Labbe G
Modified: 2015-03-31 17:12 CEST (History)
0 users

See Also:


Attachments
This is one of the emails that causes claws-mail to crash to choosing html view (9.79 KB, application/octet-stream)
2015-03-31 11:26 CEST, Hernan Labbe G
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hernan Labbe G 2015-03-30 15:09:46 CEST
The default view mode for emails is the simplest, text viewer. Some emails, specifically from newsletter and the like, require being seen in html, because they are images more than text, with some links scatered somewhere around the content. 

I get this crash when trying to see a specific email in "fancy" html mode. The email contains also some attached images, but I don't know if that has anything to do with the crash. Running in debug mode shows the following just before the crash:

summaryview.c:3650:TIMING summary_display_msg_full : 0s047ms
mimeview.c:842:text/html
fancy_viewer.c:863:fancy_viewer_create
fancy_viewer.c:81:fancy_get_widget: 0x9d80730
fancy_viewer.c:81:fancy_get_widget: 0x9d80730
fancy_viewer.c:231:filename: /home/hlabbeg1/.claws-mail/mimetmp/00000012.mimetmp.html
fancy_viewer.c:247:using utf-8 charset
fancy_viewer.c:250:zoom_level: 100
fancy_viewer.c:383:navigation requested to file:///home/hlabbeg1/.claws-mail/mimetmp/00000012.mimetmp.html
fancy_viewer.c:442:Starting request of 63 file:///home/hlabbeg1/.claws-mail/mimetmp/00000012.mimetmp.html
fancy_viewer.c:442:Starting request of 63 file:///home/hlabbeg1/.claws-mail/mimetmp/00000013.image001.jpg
fancy_viewer.c:442:Starting request of 63 file:///home/hlabbeg1/.claws-mail/mimetmp/00000014.image003.jpg
fancy_viewer.c:442:Starting request of 63 file:///home/hlabbeg1/.claws-mail/mimetmp/00000015.image004.gif
Segmentation fault
Comment 1 Salvatore De Paolis 2015-03-30 15:47:22 CEST
Please read here [0] and provide more useful information.

[0] http://www.claws-mail.org/faq/index.php/Debugging_Claws
Comment 2 Hernan Labbe G 2015-03-30 16:49:21 CEST
Hi Salvatore,

I had read the insructions, and I had downloaded claws-mail-dbg, but the instructions don't work. I get an error saying the gdb is not a known command. Since I cannot run claws-mail with the gnu debugger, I ran it with the --debug option instead.
Comment 3 Ricardo Mones 2015-03-30 18:34:42 CEST
(In reply to comment #2)
> Hi Salvatore,
> 
> I had read the insructions, and I had downloaded claws-mail-dbg, but the
> instructions don't work. I get an error saying the gdb is not a known
> command. Since I cannot run claws-mail with the gnu debugger, I ran it with
> the --debug option instead.

As root: apt-get install gdb
Comment 4 Hernan Labbe G 2015-03-31 10:20:33 CEST
Thanks. Here's the output:

[New Thread 0xa5affb70 (LWP 531)]
fancy_viewer.c:442:Starting request of 63 file:///home/hlabbeg1/.claws-mail/mimetmp/0000001c.image001.jpg
fancy_viewer.c:442:Starting request of 63 file:///home/hlabbeg1/.claws-mail/mimetmp/0000001d.image003.jpg
fancy_viewer.c:442:Starting request of 63 file:///home/hlabbeg1/.claws-mail/mimetmp/0000001e.image004.gif
[New Thread 0xa4effb70 (LWP 532)]

Program received signal SIGSEGV, Segmentation fault.
0xade8d3e8 in ?? () from /usr/lib/libwebkitgtk-1.0.so.0
(gdb)
Comment 5 Salvatore De Paolis 2015-03-31 11:16:02 CEST
Could you check your webkit version? You can see it in Configuration > plugins > Fancy HTML Viewer. The bug seems to be related to webkit, try to update the webkit library and see if you can still reproduce it. Also if you can attach one of the emails which crashes for you we can try to reproduce it as well.
Thanks
Comment 6 Hernan Labbe G 2015-03-31 11:26:59 CEST
Created attachment 1505 [details]
This is one of the emails that causes claws-mail to crash to choosing html view
Comment 7 Hernan Labbe G 2015-03-31 11:28:06 CEST
My webkit version is 1.8.1

Thanks
Comment 8 Salvatore De Paolis 2015-03-31 11:32:46 CEST
I cannot reproduce it. Try to upgrade your webkit library (here 2.4.7) and it should be fine. Such crashes were more common in former versions.
HTH
Comment 9 Hernan Labbe G 2015-03-31 12:12:49 CEST
(In reply to comment #8)
> I cannot reproduce it. Try to upgrade your webkit library (here 2.4.7) and
> it should be fine. Such crashes were more common in former versions.
> HTH

Thanks for the tip. Could you indicate how to upgrade the webkit? Should I upgrade the whole fancy viewer, or just the webkit? 

I typed 'webkit' on my repositories manager and found a lot of packages. Not sure which one I should upgrade. Any guidance on this is most welcome.

Thanks in advance.
Comment 10 Salvatore De Paolis 2015-03-31 17:12:13 CEST
> Thanks for the tip. Could you indicate how to upgrade the webkit? Should I
> upgrade the whole fancy viewer, or just the webkit? 
> 
> I typed 'webkit' on my repositories manager and found a lot of packages. Not
> sure which one I should upgrade. Any guidance on this is most welcome.
> 
> Thanks in advance.

Welcome. You should search for webkit gtk package. It's up to your distribution for the right name, but you should upgrade just that.
HTH